/*
 * This file is part of the Rapid Application Platform
 * Author: Salaheddin AbuEin
 * Copyright: 2025 Rapid Information Systems, All Rights Reserved.
 *
 */

*,
*::after,
*::before {
	margin: 0;
	padding: 0;
	border: 0;
	outline: 0;
	opacity: 1;
	box-sizing: border-box;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	color: inherit;
}

:root {
	color-scheme: light dark;
	--color-blue: #1d70b8;
	--color-dark-blue: #003078;
	--color-light-blue: #5694ca;
	--color-black: #0b0c0c;
	--color-black-40: #0b0c0c40;
	--color-dark-grey: #505a5f;
	--color-mid-grey: #b1b4b6;
	--color-light-grey: #f3f2f1;
	--color-white: #ffffff;
	--color-yellow: #ffdd00;
	--color-purple: #4c2c92;
	--color-light-purple: #6f72af;
	--color-bright-purple: #912b88;
	--color-pink: #d53880;
	--color-light-pink: #f499be;
	--color-orange: #f47738;
	--color-brown: #b58840;
	--color-green: #00703c;
	--color-red: #d4351c;
	--color-light-green: #85994b;
	--color-light-green-40: #85994b40;
	--color-turquoise: #28a197;
	--default-max-width: 1920px;
	--link-button-text: rgb(75, 73, 70);
	--link-button-primary: rgb(47, 192, 82);
	--link-button-secondary: rgb(238, 237, 233);
	--link-button-tertiary: rgb(255, 255, 255);
	--link-button-destructive: rgb(253, 98, 50);
	--link-button-primary-secondary: rgb(30, 157, 187);
	--link-button-primary-blue-300: rgb(36, 183, 219);
	--link-button-primary-tertiary: rgb(246, 172, 47);
	--link-button-disabled: rgb(244, 243, 241);
	--accent-color-h: 250;
	--accent-color-s: 88%;
	--accent-color-l: 32%;
	--accent-color: hsl(var(--accent-color-h), var(--accent-color-s), var(--accent-color-l));
	--accent-color-10: hsl(250, 88%, calc(32% + 5%));
	--accent-color-20: hsl(250, 88%, calc(32% + 10%));
	--accent-color-30: hsl(250, 88%, calc(32% + 15%));
	--accent-color-40: hsl(250, 88%, calc(32% + 20%));
	--accent-color-50: hsl(250, 88%, calc(32% + 25%));
	--accent-color-60: hsl(250, 88%, calc(32% + 30%));
	--accent-color-70: hsl(250, 88%, calc(32% + 35%));
	--accent-color-80: hsl(250, 88%, calc(32% + 40%));
	--accent-color-90: hsl(250, 88%, calc(32% + 50%));
	--accent-color-100: hsl(250, 88%, calc(32% + 60%));
	--accent-color-110: hsl(250, 88%, calc(32% + 70%));
	--accent-color-120: hsl(250, 88%, calc(32% + 80%));
	--font-family: "Ubuntu", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}

@font-face {
	font-family: "Open Sans";
	font-style: normal;
	font-weight: 400;
	src: local("Open Sans"), local("OpenSans"), url(fonts/OpenSans-Regular.woff2) format('woff2');
	src: local("Open Sans"), local("OpenSans"), url(fonts/OpenSans-Regular.woff) format('woff');
	unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215, U+E0FF, U+EFFD, U+F000;
}

*.flexy {

	display: flex;
	flex-direction: column;
	flex-wrap: nowrap;
	justify-content: center;
	align-items: center;
	gap: 0;
	width: 100dvw;
	max-width: 100%;
	color: currentColor;
	background-color: transparent;
}

*.flexy header {
	padding: 1rem 2rem;
	user-select: none;
}

*.flexy figure {
	width: fit-content;
	flex: 0 0 fit-content;
}

*.flexy button {
	padding: .5rem;
	color: var(--accent-color-100);
	background-color: var(--accent-color-50);
	flex-direction: row;
	height: fit-content;
	width: fit-content;
	flex: 0 0 fit-content;
	gap: .25rem;
	user-select: none;
}

*.flexy button[disabled] {
	background-color: #3c3c3c;
	cursor: not-allowed;
}

#other-methods {
	display: none;
}

*.flexy form {
	padding: 1rem;
	width: 30rem;
	flex: 0 0 fit-content;
	max-width: 25rem;
	gap: 1rem;
}

*.flexy *.row {
	flex-direction: row;
}

*.flexy *.columnMiddle {
	text-align: center;
	background-color: transparent;
	width: 100dvw;
	max-width: 100%;
	flex-wrap: wrap;
	gap: 1rem;
}

*.body *.flexy *.columnMiddle {
	padding: 0;
	gap: 0;
}

*.flexy *.info {
	padding: 1rem;
	gap: 1rem;
	user-select: none;
}

*.flexy *.info p {
	font-size: 1.5rem;
}

*.flexy header *.rapid-logo {
	height: fit-content;
	max-height: 100%;
	width: 10rem;
	max-width: 100%;
	flex: 0 0 10rem;
	background-color: transparent;
	animation: none;
	transform: none;
}

*.flexy header.row {
	padding: 1rem 2rem;
	justify-content: space-between;
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
}

*.flexy *.subBar {
	height: 5rem;
	width: fit-content;
	color: var(--accent-color);
	user-select: none;
	gap: 1rem;
}

*.flexy header *.subBar {
	height: fit-content;
}


*.flexy *.subBar span {
	vertical-align: middle;
}

*.flexy *.columnMiddle *.subBar {
	padding: 1rem 2rem;
	position: absolute;
	right: 0;
	bottom: 0;
}

*.flexy *.columnMiddle *.subBar a {
	font-size: 1rem;
	color: inherit;
}

*.body {
	height: 100%;
}

*.flexy img {
	width: 150px;
	height: 130px;
}

*.flexy .columnMiddle a {
	text-decoration: none;
	font-size: 36px;
	font-weight: bold;
}

#alt-verify-desc a {
	font-size: inherit;
}

*.flexy section a {
	color: currentColor;
}

.flexy .getting-verified {
	font-size: 2rem;
	gap: 1rem;
	display: none;
	user-select: none;
	transition: all 2s;
}

.flexy .columnMiddle.verifying {
	display: none;
}

.flexy .getting-verified.verifying {
	display: flex;
	transition: all 2s;
}

*.flexy a span {
	padding: 20px;
}

*.flexy *.midTitle {
	color: currentColor;
	background-color: var(--accent-color);
	text-align: center;
	user-select: none;
}

*.flexy section {
	padding: 2rem 4rem;
	height: 100%;
	width: fit-content;
	flex: 0 0 fit-content;
	color: var(--accent-color);
	background-color: transparent;
	user-select: none;
	transition: all .5s ease 0s;
}

*.flexy section:is(:focus-within, :hover) {
	color: var(--accent-color);
	background-color: var(--accent-color-100);
}

*.flexy section *.fa-stack *.fa-stack-1x {
	transition: transform .2s;
}

*.flexy section:is(:focus-within, :hover) *.fa-stack *.fa-stack-1x {
	transform: scale(1.1);
}

*.flexy section:is(:focus-within, :hover) *.fa-stack *.fa-stack-1x {
	color: var(--color-white);
}

*.flexy section:has(*.apps) {
	flex-direction: row;
	gap: 4rem;
}

*.flexy *.apps {
	gap: 1rem;
	place-items: flex-start;
	width: 100%;
}

*.flexy *.apps b {
	color: white;
	display: block;
	padding: 10px;
}

*.flexy *.apps ul,
*.flexy *.apps ol {
	list-style-type: none;
	color: var(--color-white);
	display: flex;
	flex-direction: column;
	flex-wrap: nowrap;
	justify-content: flex-start;
	place-items: flex-start;
	gap: 1rem;
	max-height: 60dvh;
	overflow-y: auto;
}

*.flexy *.apps a li {
	padding: .25rem .5rem;
	background-color: var(--accent-color-50);
	border-radius: 5px;
}

*.flexy *.apps a:is(:active, :focus, :hover) li {
	color: var(--color-white);
	background-color: var(--accent-color);
	font-weight: bold;
}

html {
	height: 100%;
}

body {
	height: 100%;
	font-family: "Open Sans", Arial, sans-serif;
}

body.flexy {
	color: var(--accent-color);
	background-color: var(--accent-color-110);
}

*.flexy svg:not(:root) {
	overflow-clip-margin: content-box;
	overflow: hidden;
}

*.flexy svg {
	width: 100dvw;
	max-width: 100%;
	height: auto;
	max-height: 100%;
	vertical-align: middle;
	box-shadow: none;
}

a,
label,
select:focus-within {
	cursor: pointer;
}

*.image img {
	width: 110px;
	height: 80px;
	background-color: white;
	position: absolute;
	top: 0;
	right: 0;
	border-bottom: 2px solid #f4091b;
}

*.flexy *.columnUserIcon {
	height: 100%;
	width: 45px;
	border-right: 1px solid var(--accent-color);
	color: var(--accent-color-110);
	background-color: var(--accent-color-50);
	position: absolute;
	left: 0;
	top: 0;
	bottom: 0;
	z-index: 1;
	user-select: none;
}

*.flexy *.columnUserIcon span {
	font-size: inherit;
	font-weight: bold;
	vertical-align: middle;
}

*.flexy *.columnUserInput {
	position: relative;
	width: 100%;
}

::-webkit-input-placeholder {
	/* Chrome/Opera/Safari */
	color: var(--accent-color-50);
}

::-moz-placeholder {
	/* Firefox 19+ */
	color: var(--accent-color-50);
}

:-ms-input-placeholder {
	/* IE 10+ */
	color: var(--accent-color-50);
}

:-moz-placeholder {
	/* Firefox 18- */
	color: var(--accent-color-50);
}

*.flexy input {
	padding: 12px 20px;
	border: 1px solid var(--accent-color-50);
	height: 4rem;
	color: var(--color-black);
	background-color: transparent;
	text-indent: 2rem;
	font-weight: bold;
	font-size: inherit;
	font-family: inherit;
	transition: all 0.5s ease;
}

*.flexy input[type="search"] {
	padding: .5rem;
	text-indent: 0;
}

*.flexy input[type="search"]::-webkit-search-cancel-button {
	cursor: pointer;
}

*.flexy input[type=text],
*.flexy input[type=password],
*.flexy input[type="search"] {
	width: 100%;
	flex: 0 0 100%;
}

*.flexy input:autofill {
	background-color: transparent;
}

*.flexy input:-webkit-autofill {
	background-color: transparent;
}

*.flexy input[type="text"]:is(:active, :focus, :hover),
*.flexy input[type="password"]:is(:active, :focus, :hover) {
	border: thin solid var(--color-black-40);
}

*.flexy input:required {
	outline: 0;
}

*.flexy button {
	font-size: 1rem;
	font-weight: 600;
	writing-mode: horizontal-tb;
	border: thin solid var(--color-mid-grey);
	cursor: pointer;
	box-shadow: none;
	text-transform: uppercase;
	height: 3rem;
	line-height: 1;
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;
	text-decoration: none;
	border-radius: 5px;
	transition: all .2s ease-in-out 0s;
}

*.flexy button:is(:active, :focus, :hover) {
	color: var(--color-white);
	opacity: 1;
	transition: all .2s ease-in-out 0s;
}

*.flexy *.addButton:is(:active, :focus, :hover) {
	transform: scale(1.05);
}

*.flexy *.message {
	font-size: 1.25rem;
}

*.flexy *.message a {
	color: black;
	font-size: 18px;
}

*.link a {
	font-weight: bold;
	color: var(--accent-color-100);
	vertical-align: middle;
}

*.link a:is(:active, :focus, :hover) {
	text-decoration: underline;
}

*.flexy *.title {
	margin: 0px 0px 20px 0px;
	padding: 5px 15px 35px;
	color: var(--accent-color-100);
	background-color: #ccc;
	background-color: linear-gradient(#666, #494949);
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#666", endColorstr="#494949", GradientType=0);
}

*.flexy *.title span {
	display: block;
}

*.flexy td {
	font-size: 16px;
	padding-left: 5px;
	padding-bottom: 3px;
}

*.flexy *.fa-stack {
	font-size: 55px;
}

*.flexy section *.fa-stack i.fa-stack-2x {
	color: var(--accent-color-50);
	transition: all .2s ease-in-out 0s;
}

*.flexy section:is(:focus-within, :hover) *.fa-stack i.fa-stack-2x {
	color: var(--accent-color);
	transition: all .2s ease-in-out 0s;
}

*.flexy *.fa-stack i.fa-stack-1x {
	color: var(--accent-color-100);
}

/*For small screens*/
@media (max-width: 519px) {
	*.image1 {
		position: absolute;
		top: 17px;
		left: 10px;
	}

	*.columnMiddle {
		width: 100%;
	}

	form {
		width: 70%;
	}

	*.midTitle span:after {
		content: "";
	}

	*.midTitle {
		padding-right: 80px;
	}

}

*.flexy *.offline *.requiresOnline {
	display: none;
}

*.flexy *.addButton {
	display: none;
	margin-top: 40px;
}

*.flexy *.appCached>li {
	background-color: #4c5055;
}